Bug 969891 - RFE: Enhance Images Usability
RFE: Enhance Images Usability
Status: CLOSED CURRENTRELEASE
Product: PressGang CCMS
Classification: Community
Component: Web-UI (Show other bugs)
1.1
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: pressgang-ccms-dev
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-06-02 19:30 EDT by Lee Newson
Modified: 2013-07-01 19:58 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-01 19:58:16 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lee Newson 2013-06-02 19:30:05 EDT
Filing this based on Julie's comments and problems with the UI from Friday, 31st of May.

Issue 1 (medium): When creating a new file, it is hard to know the ID it gets assigned, especially if you only set a description and then save. To find the ID you have to go to the end of the image list and know it was the last image created or know the "Docbook name" holds the ID. Possibly just an ID field in the details view would help solve this problem or adding a save successful window (see below).

Issue 2 (low): When uploading a image there is no confirmation to say the image uploaded and saved successfully. It could just appear to the user that the image was uploaded but they still needed to be saved. This also applies to the save, as all you see is the "working" icon and then it disappears.
Comment 1 Matthew Casperson 2013-06-03 00:26:38 EDT
Fixed in 201306031422

The image view now includes an ID field.

When an image is successfully uploaded, a prompt is display to that effect.

NOTE:
When QAing bug fixes, please make sure the build you are using is equal to or higher than the build identified above. Also be aware that this fix may have only been applied in PressGang Next at this time.
Comment 2 Lee Newson 2013-07-01 19:58:16 EDT
Looks good to me

Note You need to log in before you can comment on or make changes to this bug.